# Command: GetOptions

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    GetOptions - Get all options for a given name

Synopsis:

    /f  GetOptions -> optiondict

Description:

      Usually, a C++-like notation is used to indicate the
      availability of the function, if the function is defined in some
      "namespace" dictionary.
      For example: "arr::Mean".

Diagnostics:

      Raises /NoOptionsAvailable if there are no
      options associated with the name.

Author:

    M. O. Gewaltig

SeeAlso:

- GetOption
- ShowOptions
- SetOptions
- Options
- ResetOptions
- SaveOptions
- RestoreOptions
- OptionsDictionary

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/mathematica.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative